Panning the map while in inspector mode

2014-04-03 05:27 AM - Shaun McDonald

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18481

Description

When in inspector mode I usually need to pan the map and this is currently only possible through zooming in and out with different

positions of the mouse or switching modes. Surely it would be fare more efficient to allow dragging the map in inspector mode?

History

#1 - 2014-06-21 02:46 AM - Jürgen Fischer

- Status changed from Open to Feedback

Which inspector mode!?

#2 - 2014-06-21 03:18 AM - Shaun McDonald

- File QGIS_2_0_1-Dufour.png added

See the attached annotated screenshot highlighting the inspector tool that I'm talking about. The only way I've found I can pan the map is to zoom in and

out with the pointer in different locations.

#3 - 2014-06-21 04:24 AM - Nathan Woodrow

- Resolution set to invalid

You can pan with any active tool using the middle mouse button.  You can also use your arrow keys.

#4 - 2014-06-21 04:24 AM - Nathan Woodrow

- Status changed from Feedback to Closed

#5 - 2014-06-21 04:28 AM - Jürgen Fischer

- Resolution changed from invalid to worksforme

Shaun McDonald wrote:

See the attached annotated screenshot highlighting the inspector tool that I'm talking about. The only way I've found I can pan the map is to zoom in

and out with the pointer in different locations.
That's the identify tool.  You can press the middle mouse button or hold down the space bar and move the pointer to pan.   The cursor keys also move the

canvas.  Page up and down zoom in or out respectively.

#6 - 2014-06-21 04:56 AM - Shaun McDonald

99% of the time I don't have access to a middle mouse button, thus requiring people to use that is annoying. Thanks for the pointers about the keyboard

shortcuts, it's not obvious nor intuitive that you can use the spacebar to move around, when simpler dragging would be the obvious option.
